const winston = require('winston');
const { LoggingWinston } = require('@google-cloud/logging-winston');
const path = require("path");

console.log("Inicializing logging...");

//? Don't know how to get the file path :(
// const filePath = `./config/jsonKey.json`;
const filePath = path.resolve(`${process.cwd()}/server/lib/config/jsonKey.json`);

//! The filePath should represent the real path of this file!
console.log(filePath);

  // Creates a Winston Cloud Logging client
  const loggingWinston = new LoggingWinston({
    projectId: 'test',
    keyFilename: filePath, 
    logName: 'test.log'
  });
  // Create a Winston logger that streams to Cloud Logging
  const logger = winston.createLogger({
    level: 'info',
    transports: [
      new winston.transports.Console(),
      // Add Stackdriver Logging
      loggingWinston,
    ],
  });

  console.log("Logging was successfully created!");

  exports = logger;